PaidGoods
API referenceNotifications

Save events × channels in one go

PUT
/v1/stores/{storeId}/notifications/matrix

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/notifications/matrix" \  -H "Content-Type: application/json" \  -d '{    "rows": [      {        "event": "string",        "dashboard": {          "enabled": true        },        "email": {          "enabled": true,          "target": "string"        },        "push": {          "enabled": true        },        "discord": {          "enabled": true,          "url": "string",          "template": {}        },        "http": {          "enabled": true,          "url": "string"        }      }    ]  }'
{  "ok": true}